Name:		znc
Version:	1.9.1
Release:	%mkrel 3
License:	GPLv2+
Summary:	An IRC bouncer with many advanced features
Group:		Networking/IRC
URL:		https://wiki.znc.in/ZNC
Source0:	https://znc.in/releases/%{name}-%{version}.tar.gz

BuildRequires:		systemd-units
Requires(pre):		shadow-utils
Requires(post):		systemd-units
Requires(preun):	systemd-units
Requires(postun):	systemd-units

BuildRequires:		cmake
BuildRequires:		swig
BuildRequires:		boost-devel
BuildRequires:		gettext-devel
BuildRequires:		icu-devel
BuildRequires:		perl-devel
BuildRequires:		perl(ExtUtils::Embed)
BuildRequires:		pkgconfig(libcares)
BuildRequires:		pkgconfig(libsasl2)
BuildRequires:		pkgconfig(openssl) >= 1.1
BuildRequires:		pkgconfig(python3)
BuildRequires:		pkgconfig(tcl)
BuildRequires:		pkgconfig(libsystemd)
BuildRequires:		pkgconfig(zlib)

Obsoletes:		znc-extra <= %{version}-%{release}

%description
ZNC is an IRC bouncer with many advanced features like detaching,
multiple users, per channel playback buffer, SSL, IPv6, transparent
DCC bouncing, Perl and C++ module support to name a few.

%package devel
Summary:	Development files needed to compile ZNC modules
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
All includes and program files you need to compile your own znc
modules.

%package modperl
Summary:	perl module for ZNC
Group:		Development/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl
Provides:	perl(ZNC::Module) = %{version}-%{release}

%description modperl
perl module for ZNC.

%package modpython
Summary:	python3 module for ZNC
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3

%description modpython
python3 module for ZNC.

%prep
%autosetup -p1

# drop pregenerated perl and python files
rm -rf modules/*/generated.tar.gz

%build
%cmake \
	-DWANT_IPV6=1 \
	-DWANT_PYTHON=1 \
	-DWANT_PERL=1 \
	-DWANT_TCL=1 \
	-DWANT_CYRUS=1 \
	-DWANT_SYSTEMD=1 \
	-DSYSTEMD_DIR=%{_unitdir} \
	-DWANT_PYTHON_VERSION=python3 \
	-DWANT_SWIG=1

%cmake_build

%pre
getent group znc >/dev/null || groupadd -r znc
getent passwd znc >/dev/null || \
    useradd -r -g znc -d /var/lib/znc -s /sbin/nologin \
    -c "Account for ZNC to run as" znc
mkdir -p /var/lib/znc
chown znc:znc /var/lib/znc
#exit 0

%install
%cmake_install

%find_lang %{name} --all-name

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%files -f %{name}.lang
%doc ChangeLog.md NOTICE README.md
%license LICENSE
%{_libdir}/%{name}/
%exclude %{_libdir}/%{name}/modperl*
%exclude %{_libdir}/%{name}/perleval.pm
%exclude %{_libdir}/%{name}/modpython*
%{_bindir}/znc
%{_datadir}/znc/
%{_unitdir}/znc.service
%{_mandir}/man1/znc-buildmod.1.*
%{_mandir}/man1/znc.1.*

%files devel
%doc ChangeLog.md NOTICE README.md
%{_bindir}/znc-buildmod
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/znc/

%files modperl
%doc ChangeLog.md NOTICE README.md
%{_libdir}/znc/modperl/
%{_libdir}/znc/modperl.so
%{_libdir}/znc/perleval.pm

%files modpython
%doc ChangeLog.md NOTICE README.md
%{_libdir}/znc/modpython/
%{_libdir}/znc/modpython.so


%changelog
* Fri Sep 13 2024 wally <wally> 1.9.1-3.mga10
+ Revision: 2095540
- rebuild for boost 1.86.0

* Sat Aug 24 2024 daviddavid <daviddavid> 1.9.1-2.mga10
+ Revision: 2090249
- rebuild for new perl 5.40.0

* Thu Jul 04 2024 ns80 <ns80> 1.9.1-1.mga10
+ Revision: 2079722
- new version 1.9.1 for CVE-2024-39844 (mga#33364)

* Wed Jun 19 2024 wally <wally> 1.9.0-1.mga10
+ Revision: 2075543
- new version 1.9.0
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 1.8.2-25.mga10
+ Revision: 2030615
- rebuild for boost 1.84.0

* Sat Dec 30 2023 daviddavid <daviddavid> 1.8.2-24.mga10
+ Revision: 2024467
- rebuild for py3.12

* Tue Dec 05 2023 daviddavid <daviddavid> 1.8.2-23.mga10
+ Revision: 2013219
- rebuild for new perl 5.38.0

* Wed Sep 27 2023 wally <wally> 1.8.2-22.mga10
+ Revision: 1991516
- rebuild for boost 1.83.0

* Mon May 08 2023 daviddavid <daviddavid> 1.8.2-21.mga9
+ Revision: 1956170
- backport upstream patch to add support SWIG 4.1.0

* Sat Jan 07 2023 squidf <squidf> 1.8.2-20.mga9
+ Revision: 1931187
- Mass rebuild for icu 72.1

* Sat Dec 24 2022 wally <wally> 1.8.2-19.mga9
+ Revision: 1926554
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 1.8.2-18.mga9
+ Revision: 1867326
- rebuild for boost 1.79.0

* Sat Jun 18 2022 squidf <squidf> 1.8.2-17.mga9
+ Revision: 1864932
- rebuild for icu 71.1

* Tue Jun 07 2022 umeabot <umeabot> 1.8.2-16.mga9
+ Revision: 1862791
- Rebuild for Perl 5.36

* Tue Mar 29 2022 umeabot <umeabot> 1.8.2-15.mga9
+ Revision: 1833219
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 1.8.2-14.mga9
+ Revision: 1774787
- rebuild for python 3.10

* Sun Dec 19 2021 wally <wally> 1.8.2-13.mga9
+ Revision: 1762651
- rebuild for boost 1.78.0

* Sat Oct 02 2021 wally <wally> 1.8.2-12.mga9
+ Revision: 1747403
- rebuild for openssl 3.0.0

* Thu Sep 09 2021 wally <wally> 1.8.2-11.mga9
+ Revision: 1744608
- rebuild for boost 1.77.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1.8.2-10.mga9
+ Revision: 1738991
- rebuild for icu

* Mon May 24 2021 umeabot <umeabot> 1.8.2-9.mga9
+ Revision: 1727392
- Rebuild for perl 5.34

* Fri May 14 2021 wally <wally> 1.8.2-8.mga9
+ Revision: 1723035
- rebuild for boost 1.76.0

* Sat Mar 20 2021 daviddavid <daviddavid> 1.8.2-7.mga9
+ Revision: 1705403
- rebuild for python 3.9

* Thu Dec 31 2020 wally <wally> 1.8.2-6.mga8
+ Revision: 1666832
- rebuild for boost 1.75.0

* Mon Dec 21 2020 wally <wally> 1.8.2-5.mga8
+ Revision: 1662551
- drop pregenerated source files

* Sun Dec 20 2020 wally <wally> 1.8.2-4.mga8
+ Revision: 1662074
- rebuild for boost 1.74.0

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.8.2-3.mga8
+ Revision: 1651614
- rebuild for icu
- rebuild for icu

* Thu Sep 17 2020 shlomif <shlomif> 1.8.2-1.mga8
+ Revision: 1628086
- New version 1.8.2

* Wed Jul 01 2020 wally <wally> 1.8.1-3.mga8
+ Revision: 1601082
- rebuild for icu 67.1

* Wed Jun 17 2020 umeabot <umeabot> 1.8.1-2.mga8
+ Revision: 1595328
- Rebuild for perl 5.32

* Sat Jun 13 2020 shlomif <shlomif> 1.8.1-1.mga8
+ Revision: 1593192
- New version 1.8.1

* Wed May 06 2020 shlomif <shlomif> 1.8.0-1.mga8
+ Revision: 1581278
- New version 1.8.0 by cheese-e-boi

* Sun May 03 2020 wally <wally> 1.7.5-5.mga8
+ Revision: 1578129
- rebuild for boost 1.73.0

* Sat Apr 04 2020 wally <wally> 1.7.5-4.mga8
+ Revision: 1564517
- rebuild for new icu 66.1

* Wed Feb 19 2020 umeabot <umeabot> 1.7.5-3.mga8
+ Revision: 1545011
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 1.7.5-2.mga8
+ Revision: 1483454
- rebuild for boost 1.72.0
- build with new cmake macros

* Mon Dec 09 2019 shlomif <shlomif> 1.7.5-1.mga8
+ Revision: 1465452
- New version 1.7.5

* Sat Oct 05 2019 daviddavid <daviddavid> 1.7.4-4.mga8
+ Revision: 1449508
- rebuild for new icu 65.1

* Sat Sep 21 2019 wally <wally> 1.7.4-3.mga8
+ Revision: 1444305
- add upstream patches for python3.8
+ tv <tv>
- rebuild for python-3.8

* Tue Aug 27 2019 tmb <tmb> 1.7.4-2.mga8
+ Revision: 1433966
- rebuild for perl 5.30

* Sun Jul 14 2019 shlomif <shlomif> 1.7.4-1.mga8
+ Revision: 1421170
- New version 1.7.4

* Sun Apr 14 2019 daviddavid <daviddavid> 1.7.3-1.mga7
+ Revision: 1390016
- new version: 1.7.3
- switch to cmake build system
- enable i18n support
- use upstream systemd unit file

* Sat Feb 02 2019 shlomif <shlomif> 1.7.2-1.mga7
+ Revision: 1362461
- New version 1.7.2

* Thu Jan 10 2019 daviddavid <daviddavid> 1.7.1-4.mga7
+ Revision: 1354079
- rebuild for new Python 3.7

* Mon Sep 24 2018 tv <tv> 1.7.1-3.mga7
+ Revision: 1303436
- do byte compile python3 now that rpm-mageia-setup is fixed

* Wed Aug 29 2018 tv <tv> 1.7.1-2.mga7
+ Revision: 1255551
- stop failing the build when python bytecompiling fails
+ daviddavid <daviddavid>
- rebuild for new perl 5.28.0

* Wed Jul 18 2018 shlomif <shlomif> 1.7.1-1.mga7
+ Revision: 1244168
- New version 1.7.1 - MGA#23327 .

* Thu May 10 2018 shlomif <shlomif> 1.7.0-1.mga7
+ Revision: 1228126
- New version 1.7.0

* Tue Apr 03 2018 shlomif <shlomif> 1.6.6-1.mga7
+ Revision: 1215086
- New version 1.6.6

* Fri Dec 29 2017 wally <wally> 1.6.5-2.mga7
+ Revision: 1187025
- rebuild for new icu

* Sat Sep 02 2017 daviddavid <daviddavid> 1.6.5-1.mga7
+ Revision: 1150666
- new version: 1.6.5
- enable tcl and cyrus support
- update URL
- exclude modpython from main package
- rebuild for new Python 3.6

* Sat Jul 22 2017 neoclust <neoclust> 1.6.3-5.mga7
+ Revision: 1127201
- Rebuild against new Perl 5.26

* Wed Apr 05 2017 neoclust <neoclust> 1.6.3-4.mga6
+ Revision: 1095959
- Rebuild for armv7

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.6.3-3.mga6
+ Revision: 1092817
- Rebuild for icu-58.2

* Tue Oct 18 2016 wally <wally> 1.6.3-2.mga6
+ Revision: 1061835
- BR icu

* Thu Mar 10 2016 shlomif <shlomif> 1.6.3-1.mga6
+ Revision: 988715
- New version 1.6.3 (MGA#17938)

* Thu Mar 03 2016 umeabot <umeabot> 1.4-12.mga6
+ Revision: 984783
- Rebuild for openssl

* Wed Feb 17 2016 umeabot <umeabot> 1.4-11.mga6
+ Revision: 963703
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.4-10.mga6
+ Revision: 887732
- rebuild for python 3.5

* Thu Oct 08 2015 daviddavid <daviddavid> 1.4-9.mga6
+ Revision: 887687
- rebuild for python 3.5

* Sat Jun 27 2015 tv <tv> 1.4-8.mga6
+ Revision: 845992
- rebuild with soname-ified perl

* Wed Feb 18 2015 luigiwalser <luigiwalser> 1.4-7.mga5
+ Revision: 815588
- use correct service scriplet macros for mageia

* Wed Oct 15 2014 umeabot <umeabot> 1.4-6.mga5
+ Revision: 744572
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4-5.mga5
+ Revision: 730758
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 690883
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 pterjan <pterjan> 1.4-3.mga5
+ Revision: 634835
- Rebuild for new python

* Wed May 21 2014 shlomif <shlomif> 1.4-2.mga5
+ Revision: 624755
- New group
- Fix groups (thanks to roelof)
- Remove trailing whitespace
- New version 1.4 - thanks to roelof (my apprentice)

* Thu Apr 24 2014 luigiwalser <luigiwalser> 1.0-5.mga5
+ Revision: 617588
- rediff patch from fedora to fix potential crash bug when adding channels

* Sat Oct 19 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 532356
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 luigiwalser <luigiwalser> 1.0-3.mga4
+ Revision: 467981
- add upstream patch to fix CVE-2013-2130

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 387770
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shikamaru <shikamaru> 1.0-1.mga3
+ Revision: 322715
- new version 1.0, fix file list

* Thu Jun 07 2012 solbu <solbu> 0.206-1.mga3
+ Revision: 256653
- Fix description and summary - bounce -> bouncer
- New version
- Spec cleanup

* Wed Apr 13 2011 shikamaru <shikamaru> 0.098-1.mga1
+ Revision: 84739
- new version 0.098 - fix file list

* Thu Jan 27 2011 erwan <erwan> 0.096-1.mga1
+ Revision: 42206
- imported package znc


* Sun Nov 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.096-1mdv2011.0
+ Revision: 602297
- update to 0.096

* Sat Sep 11 2010 Rémy Clouard <shikamaru@mandriva.org> 0.094-1mdv2011.0
+ Revision: 577602
- bump release

* Wed Aug 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.092-1mdv2011.0
+ Revision: 565978
- import znc


